/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
const require_runtime = require('../_virtual/_rolldown/runtime.cjs');
const require_styles_styler = require('../styles/styler.cjs');
const require_components_Box = require('./Box.cjs');
let react = require("react");
let react_jsx_runtime = require("react/jsx-runtime");

//#region src/components/Scrim.tsx
const Scrim = (0, react.forwardRef)(function Scrim({ className, style, variant = "default", position = "fixed", animateOpacity = false, ...props }, ref) {
	const rootVariantClass = require_styles_styler.getStyles({ scrimVariantRoot: variant });
	return /* @__PURE__ */ (0, react_jsx_runtime.jsx)(require_components_Box.Box, {
		ref,
		display: "block",
		className: require_styles_styler.cx(position === "fixed" ? "fixed" : "absolute", "inset-0 z-40", animateOpacity ? "transition-opacity duration-150 data-[enter]:opacity-100 [&:not([data-enter])]:opacity-0" : "opacity-100", "uds-bgBlurFallback", rootVariantClass, className),
		...props,
		style: {
			...style,
			backgroundColor: "rgb(var(--uds-scrim-background-color) / var(--uds-scrim-opacity))"
		}
	});
});
Scrim.displayName = "Scrim";

//#endregion
exports.Scrim = Scrim;